# $Revision: 1.35 $, $Date: 2012/02/12 09:30:57 $
# NOTE
# - here should be rc-scripts dependencies that you don't need inside vserver
#   (interact with kernel / networking), the rest of the packages can
#   workarounded in sane way (for example udev + udev-core)
%define		ul_ver	2.14.1
Summary:	A package providing fake packages for VServer guest system
Summary(pl.UTF-8):	Pakiet udostępniający fałszywe pakiety dla systemu gościnnego VServera
Name:		vserver-packages
Version:	3.3
Release:	5
License:	GPL
Group:		Base
# Do not put Obsoletes for all of the packages -- allows installing of the real package
# don't provide (klogd) this one since syslog-ng would obsolete whole package
Requires:	sed >= 4.0
Provides:	blockdev = %{ul_ver}
Provides:	dev = 3.4-4
Provides:	ethtool
Provides:	fsck = 1.40.10
Provides:	iproute2 = 2.6.23
Provides:	iputils-arping = 2:s20101006-2
Provides:	libcgroup
Provides:	login = %{ul_ver}
Provides:	lvm2 = 2.02.83
Provides:	mingetty = 0.9.4
Provides:	kmod = 4
Provides:	module-init-tools = 3.3
Provides:	mount = %{ul_ver}
Provides:	virtual(module-tools)
Obsoletes:	devfs
Obsoletes:	modutils
Obsoletes:	vserver-SysVinit
Obsoletes:	vserver-basesystem
Obsoletes:	vserver-dev
Obsoletes:	vserver-rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# find-debuginfo.sh can't live with missing $RPM_BUILD_ROOT and it's somewhy
# still called for noarch packages.
%define		_enable_debug_packages	0

%description
A package providing a fake packages to allow removal of useless
packages inside VPS.

%description -l pl.UTF-8
Pakiet dostarczający fałszywe pakiety, aby umożliwić usunięcie
bezużytecznych pakietów z VPS-a.

%prep

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
# remove "ignore = vserver-packages" from poldek config if this package is installed
if [ -f %{_sysconfdir}/%{name}/poldek.conf ]; then
	%{__sed} -i -e '/^ignore/s/vserver-packages//' %{_sysconfdir}/%{name}/poldek.conf
fi

%files
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vserver-packages.spec,v $
Revision 1.35  2012/02/12 09:30:57  arekm
- rel 5; provide fake module-init-tools at ver 3.3

Revision 1.34  2012/02/06 10:45:02  baggins
- rel 4
- provide new kernel module stuff

Revision 1.33  2011/11/15 22:18:01  arekm
- rel 2: P newer lvm2 -> 2.02.83

Revision 1.32  2011/09/25 13:30:49  arekm
- rel 2; versioned iputils-arping P:

Revision 1.31  2011/09/23 20:41:10  arekm
- ver 3.3; P: iputils-arping

Revision 1.30  2011/07/26 15:05:10  glen
- remove "ignore = vserver-packages" from poldek config if this package is installed
- bump version to 3.2

Revision 1.29  2011/05/30 21:05:20  arekm
- rel 10; P: libcgroup

Revision 1.28  2010/12/18 19:36:01  glen
- P lvm2 2.02.40

Revision 1.27  2009/09/02 12:04:36  glen
- P: ethtool; rel 8

Revision 1.26  2009/03/02 11:21:20  baggins
- rel 7
- provide dev version required by setup

Revision 1.25  2009/01/19 13:41:40  arekm
- release 6

Revision 1.24  2009/01/15 12:41:53  zbyniu
- P: dev = 2.9.0-22; rel 5

Revision 1.23  2008/11/21 23:03:58  arekm
- rel 4; version util-linux stuff with 2.14.1

Revision 1.22  2008/06/20 10:11:10  hawk
- bumped fsck version to fix "vserver-packages-3.1-2.noarch (cap fsck = 1.40.4)
  conflicts with installed e2fsprogs-libs-1.40.10-1.i686 (fsck < 1.40.6-3)"

Revision 1.21  2008-04-11 13:49:50  glen
- release 2

Revision 1.20  2008-04-11 13:40:23  glen
- v3.1: make Provides versioned, otherwise versioned conflicts will fail

Revision 1.19  2008-02-11 22:34:00  glen
- remove (unversioned) udev provides: udev < 1:071 conflicts with kernel-vanilla-2.6.24.2-0.2.amd64

Revision 1.18  2007/11/02 12:16:46  glen
- vserver doesn't need blockdev (used by rc-scripts to flush initrd /dev/ram0); rel 8

Revision 1.17  2007/08/06 10:25:18  patrys
- drop obsoletes, doesn't conflict

Revision 1.16  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.14  2007/01/16 15:22:24  glen
- current rc-scripts requires progs from SysVinit; rel 7

Revision 1.13  2006/11/07 06:26:23  glen
- no need to Provide lvm, rel 6

Revision 1.12  2006/06/10 12:01:09  arekm
- rel 4; don't provide klogd

Revision 1.11  2006/03/22 16:00:47  baggins
- release 4

Revision 1.10  2006/03/03 09:36:57  glen
- obsolete modutils, vserver-SysVinit

Revision 1.9  2006/03/01 21:03:43  glen
- obsolete vserver-basesystem and vserver-rc-scripts packages

Revision 1.8  2006/03/01 20:40:33  glen
- updated deps, rel 2

Revision 1.7  2006/02/27 17:55:15  glen
- what kernel? no non-kernel package should require kernel package

Revision 1.6  2006/02/27 17:54:01  glen
- cleanups, rel 2

Revision 1.5  2006/02/27 17:52:37  glen
- SysVinit is optional

Revision 1.4  2006/01/27 19:29:20  qboosh
- pl

Revision 1.3  2006/01/27 19:02:24  glen
- fake klogd

Revision 1.2  2006/01/24 19:55:25  glen
- some corrections

Revision 1.1  2006/01/24 19:04:06  baggins
- initial revision
